# $Revision: 1.36 $, $Date: 2012/01/14 21:19:22 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	String
%define		pnam	ShellQuote
Summary:	String::ShellQuote perl module
Summary(pl.UTF-8):	Moduł perla String::ShellQuote
Name:		perl-String-ShellQuote
Version:	1.04
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	da6329dc482b21adf5697cfbd2ac5412
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
String::ShellQuote - quotes strings so they can be passed through the
shell.

%description -l pl.UTF-8
String::ShellQuote - cytuje łańcuchy tak, by mogły być przekazane do
powłoki.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/String/ShellQuote.pm
%attr(755,root,root) %{_bindir}/shell-quote
%{_mandir}/man3/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-String-ShellQuote.spec,v $
Revision 1.36  2012/01/14 21:19:22  zbyniu
- up to 1.04

Revision 1.35  2008/07/27 22:48:52  arekm
- release 2

Revision 1.34  2007-02-13 07:47:15  glen
- tabs in preamble

Revision 1.33  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.32  2005/05/31 17:14:00  petec
- up to 1.03
- added shell-quote binary and man file

Revision 1.31  2004/11/03 22:30:46  paladine
- formatting

Revision 1.30  2004/05/07 00:59:48  ankry
- rel. 10

Revision 1.29  2004/05/06 18:21:10  ankry
- fixed perl-devel BR

Revision 1.28  2004/05/01 00:35:18  ankry
- tests added, license fix

Revision 1.27  2003/09/09 10:24:49  ankry
- spaces -> tab

Revision 1.26  2003/08/18 08:09:16  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.25  2003/05/28 13:01:04  malekith
- massive attack: source-md5

Revision 1.24  2003/05/25 06:25:00  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.22  2003/03/01 20:46:47  radek
- should be ready for perl-5.8.0; release++

Revision 1.21  2003/02/25 00:41:48  radek
- use the __perl macro

Revision 1.20  2003/02/18 15:38:28  ankry
- massive attack: change CPAN URLs

Revision 1.19  2002/11/26 00:15:01  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.18  2002/07/10 08:48:48  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.17  2002/05/11 14:28:13  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/02/25 10:34:33  depesz
cleanup; revision++

Revision 1.15  2002/02/22 23:29:32  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/13 14:20:12  depesz
automatic: Source location unfied, Relase Up

Revision 1.13  2002/02/10 15:34:49  depesz
adapterized

Revision 1.12  2002/01/18 02:14:31  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:23  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:16:02  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:10  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/23 20:57:03  kloczek
- release 4: rebuild against perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:58  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:41  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/23 17:57:17  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:28  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:59  baggins
- translated kloczkish into english

Revision 1.2  1999/11/07 09:18:46  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:47  pius
- initial release
